ControllersDomainBindingApi (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.web.api

## [Java] Class ControllersDomainBindingApi

- org.codehaus.groovy.grails.plugins.web.api.ControllersDomainBindingApi

- Enhancements made to domain classes for data binding.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `AUTOWIRE_DOMAIN_METHOD` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.Map` | `getProperties(java.lang.Object instance)` Returns a map of the objects properties that can be used to during binding to bind a subset of properties
    `static void` | `initialize(java.lang.Object instance)` Autowires the instance
    `static void` | `initialize(java.lang.Object instance, java.util.Map namedArgs)` A map based constructor that binds the named arguments to the target instance
    `org.springframework.validation.BindingResult` | `setProperties(java.lang.Object instance, java.lang.Object bindingSource)` Binds the source object to the properties of the target instance converting any types as necessary

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String AUTOWIRE_DOMAIN_METHOD

  - ### Method Detail

    - #### public java.util.Map getProperties(java.lang.Object instance)

      Returns a map of the objects properties that can be used to during binding to bind a subset of properties

      Parameters:
        `instance` - The instance
      Returns:
        An instance of DataBindingLazyMetaPropertyMap

    - #### public static void initialize(java.lang.Object instance)

      Autowires the instance

      Parameters:
        `instance` - The target instance

    - #### public static void initialize(java.lang.Object instance, java.util.Map namedArgs)

      A map based constructor that binds the named arguments to the target instance

      Parameters:
        `instance` - The target instance
        `namedArgs` - The named arguments

    - #### public org.springframework.validation.BindingResult setProperties(java.lang.Object instance, java.lang.Object bindingSource)

      Binds the source object to the properties of the target instance converting any types as necessary

      Parameters:
        `instance` - The instance
        `bindingSource` - The binding source
      Returns:
        The BindingResult